<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JS Homework no. 16</title>
</head>
<body>
<script>
    "use strict";

    function fibonacci (firstNumber, secondNumber, sequenceNumber) {
        if (firstNumber > 0 && secondNumber > 0) {
            if (sequenceNumber === 1) {
                return firstNumber;
            } else if (sequenceNumber === 2) {
                return secondNumber;
            } else {
                let f1 = firstNumber;
                let f2 = secondNumber;
                let f3 = f1 + f2;

                for (let i = 2; i < sequenceNumber; i++) {
                    f3 = f1 + f2;
                    f1 = f2;
                    f2 = f3;
                }
                return f3;
            }
        } else {
            if (sequenceNumber === 1) {
                return firstNumber;
            } else if (sequenceNumber === 2) {
                return secondNumber;
            } else {
                let f1 = firstNumber;
                let f2 = secondNumber;
                let f3 = f1 + f2;

                for (let i = 2; i < sequenceNumber; i++) {
                    f3 = f1 - f2;
                    f1 = f2;
                    f2 = f3;
                }
                return f3;
            }
        }
    }

    function numberChecker (number) {
        while (number === 0 || isNaN(number)) {
            number = +prompt("Reenter the number:", number);
        }
        return number;
    }

    function sequenceNumberChecker (number) {
        while (number <= 0 || isNaN(number)) {
            number = +prompt("Reenter the sequence number:", number);
        }
        return number;
    }

    let userInputNumberOne = +prompt("Enter the first number:", "");
    let userFirstNumber = numberChecker(userInputNumberOne);

    let userInputNumberTwo = +prompt("Enter the second number:", "");
    let userSecondNumber = numberChecker(userInputNumberTwo);

    let userInputNumberThree = +prompt("Enter the sequence number:", "");
    let userSequenceNumber = sequenceNumberChecker(userInputNumberThree);

    alert(`The value of the Fibonacci's no. "${userSequenceNumber}" is: ` + fibonacci(userFirstNumber, userSecondNumber, userSequenceNumber));

</script>
</body>
</html>

